diff --git a/src/responder/common/responder_dp.c b/src/responder/common/responder_dp.c
index e73e1e6..396c809 100644
--- a/src/responder/common/responder_dp.c
+++ b/src/responder/common/responder_dp.c
@@ -103,22 +103,22 @@ static int sss_dp_req_destructor(void *ptr)
          */
         if (cb == sdp_req->cb_list) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("BUG: a callback did not free its request. "
-                   "May leak memory\n"));
+                  "BUG: a callback did not free its request. "
+                   "May leak memory\n");
             /* Skip to the next since a memory leak is non-fatal */
             sdp_req->cb_list = sdp_req->cb_list->next;
         }
     }
 
     /* Destroy the hash entry */
-    DEBUG(SSSDBG_TRACE_FUNC, ("Deleting request: [%s]\n", sdp_req->key->str));
+    DEBUG(SSSDBG_TRACE_FUNC, "Deleting request: [%s]\n", sdp_req->key->str);
     hret = hash_delete(sdp_req->rctx->dp_request_table, sdp_req->key);
     if (hret != HASH_SUCCESS) {
         /* This should never happen */
         DEBUG(SSSDBG_TRACE_INTERNAL,
-              ("BUG: Could not clear [%d:%lu:%s] from request queue: [%s]\n",
+              "BUG: Could not clear [%d:%lu:%s] from request queue: [%s]\n",
                sdp_req->key->type, sdp_req->key->ul, sdp_req->key->str,
-               hash_error_string(hret)));
+               hash_error_string(hret));
         return -1;
     }
 
@@ -142,18 +142,18 @@ void handle_requests_after_reconnect(struct resp_ctx *rctx)
     struct sss_dp_req *sdp_req;
 
     if (!rctx->dp_request_table) {
-        DEBUG(7, ("No requests to handle after reconnect\n"));
+        DEBUG(7, "No requests to handle after reconnect\n");
         return;
     }
 
     ret = hash_values(rctx->dp_request_table, &count, &values);
     if (ret != HASH_SUCCESS) {
-        DEBUG(1, ("hash_values failed, "
-                  "not all request might be handled after reconnect.\n"));
+        DEBUG(1, "hash_values failed, "
+                  "not all request might be handled after reconnect.\n");
         return;
     }
 
-    DEBUG(7, ("Will handle %lu requests after reconnect\n", count));
+    DEBUG(7, "Will handle %lu requests after reconnect\n", count);
     for (i=0; i<count; i++) {
         sdp_req = talloc_get_type(values[i].ptr, struct sss_dp_req);
         talloc_free(sdp_req);
@@ -180,8 +180,8 @@ static int sss_dp_get_reply(DBusPendingCall *pending,
          * here, something is seriously wrong and we should bail out.
          */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Severe error. A reply callback was called but no reply "
-               "was received and no timeout occurred\n"));
+              "Severe error. A reply callback was called but no reply "
+               "was received and no timeout occurred\n");
 
         /* FIXME: Destroy this connection ? */
         err = EIO;
@@ -197,17 +197,17 @@ static int sss_dp_get_reply(DBusPendingCall *pending,
                                     DBUS_TYPE_STRING, err_msg,
                                     DBUS_TYPE_INVALID);
         if (!ret) {
-            DEBUG(1,("Failed to parse message\n"));
+            DEBUG(1,"Failed to parse message\n");
             /* FIXME: Destroy this connection ? */
             if (dbus_error_is_set(&dbus_error)) dbus_error_free(&dbus_error);
             err = EIO;
             goto done;
         }
         DEBUG(SSSDBG_TRACE_LIBS,
-              ("Got reply from Data Provider - "
+              "Got reply from Data Provider - "
                "DP error code: %u errno: %u error message: %s\n",
               (unsigned int)*dp_err, (unsigned int)*dp_ret,
-              *err_msg ? *err_msg : "none"));
+              *err_msg ? *err_msg : "none");
         break;
 
     case DBUS_MESSAGE_TYPE_ERROR:
@@ -216,8 +216,8 @@ static int sss_dp_get_reply(DBusPendingCall *pending,
             err = ETIME;
             goto done;
         }
-        DEBUG(0,("The Data Provider returned an error [%s]\n",
-                 dbus_message_get_error_name(reply)));
+        DEBUG(0,"The Data Provider returned an error [%s]\n",
+                 dbus_message_get_error_name(reply));
         /* Falling through to default intentionally*/
     default:
         /*
@@ -284,7 +284,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Issuing request for [%s]\n", key->str));
+    DEBUG(SSSDBG_TRACE_FUNC, "Issuing request for [%s]\n", key->str);
 
     /* Check the hash for existing references to this request */
     hret = hash_lookup(rctx->dp_request_table, key, &value);
@@ -292,7 +292,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
     case HASH_SUCCESS:
         /* Request already in progress */
         DEBUG(SSSDBG_TRACE_FUNC,
-              ("Identical request in progress: [%s]\n", key->str));
+              "Identical request in progress: [%s]\n", key->str);
         break;
 
     case HASH_ERROR_KEY_NOT_FOUND:
@@ -301,7 +301,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
          */
         msg = msg_create(pvt);
         if (!msg) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot create D-Bus message\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Cannot create D-Bus message\n");
             ret = EIO;
             goto fail;
         }
@@ -310,7 +310,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
         sidereq = sss_dp_internal_get_send(rctx, key, dom, msg);
         dbus_message_unref(msg);
         if (!sidereq) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Cannot send D-Bus message\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Cannot send D-Bus message\n");
             ret = EIO;
             goto fail;
         }
@@ -325,7 +325,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
                               sss_dp_req_timeout, sidereq);
         if (!te) {
             /* Nothing much we can do */
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
             ret = ENOMEM;
             goto fail;
         }
@@ -334,7 +334,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
         hret = hash_lookup(rctx->dp_request_table, key, &value);
         if (hret != HASH_SUCCESS) {
             /* Something must have gone wrong with creating the request */
-            DEBUG(SSSDBG_CRIT_FAILURE, ("The request has disappeared?\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "The request has disappeared?\n");
             ret = EIO;
             goto fail;
         }
@@ -342,8 +342,8 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
 
     default:
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not query request list (%s)\n",
-               hash_error_string(hret)));
+              "Could not query request list (%s)\n",
+               hash_error_string(hret));
         ret = EIO;
         goto fail;
     }
@@ -351,7 +351,7 @@ sss_dp_issue_request(TALLOC_CTX *mem_ctx, struct resp_ctx *rctx,
     /* Register this request for results */
     sdp_req = talloc_get_type(value.ptr, struct sss_dp_req);
     if (!sdp_req) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not retrieve DP request context\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not retrieve DP request context\n");
         ret = EIO;
         goto fail;
     }
@@ -500,8 +500,8 @@ sss_dp_get_account_send(TALLOC_CTX *mem_ctx,
     talloc_free(key);
     if (ret != EOK) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Could not issue DP request [%d]: %s\n",
-               ret, strerror(ret)));
+              "Could not issue DP request [%d]: %s\n",
+               ret, strerror(ret));
         goto error;
     }
 
@@ -581,7 +581,7 @@ sss_dp_get_account_msg(void *pvt)
         filter = talloc_strdup(info, ENUM_INDICATOR);
     }
     if (!filter) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return NULL;
     }
 
@@ -591,14 +591,14 @@ sss_dp_get_account_msg(void *pvt)
                                        DP_METHOD_GETACCTINFO);
     if (msg == NULL) {
         talloc_free(filter);
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return NULL;
     }
 
     /* create the message */
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Creating request for [%s][%u][%d][%s]\n",
-           info->dom->name, be_type, attrs, filter));
+          "Creating request for [%s][%u][%d][%s]\n",
+           info->dom->name, be_type, attrs, filter);
 
     dbret = dbus_message_append_args(msg,
                                      DBUS_TYPE_UINT32, &be_type,
@@ -608,7 +608,7 @@ sss_dp_get_account_msg(void *pvt)
                                      DBUS_TYPE_INVALID);
     talloc_free(filter);
     if (!dbret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to build message\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to build message\n");
         dbus_message_unref(msg);
         return NULL;
     }
@@ -683,8 +683,8 @@ sss_dp_internal_get_send(struct resp_ctx *rctx,
     ret = sss_dp_get_domain_conn(rctx, dom->conn_name, &be_conn);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("BUG: The Data Provider connection for %s is not available!",
-               dom->name));
+              "BUG: The Data Provider connection for %s is not available!",
+               dom->name);
         ret = EIO;
         goto error;
     }
@@ -700,7 +700,7 @@ sss_dp_internal_get_send(struct resp_ctx *rctx,
          * We can't communicate on this connection
          */
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("D-BUS send failed.\n"));
+              "D-BUS send failed.\n");
         ret = EIO;
         goto error;
     }
@@ -709,12 +709,12 @@ sss_dp_internal_get_send(struct resp_ctx *rctx,
     value.type = HASH_VALUE_PTR;
     value.ptr = state->sdp_req;
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("Entering request [%s]\n", key->str));
+    DEBUG(SSSDBG_TRACE_FUNC, "Entering request [%s]\n", key->str);
     hret = hash_enter(rctx->dp_request_table, key, &value);
     if (hret != HASH_SUCCESS) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not store request query (%s)\n",
-               hash_error_string(hret)));
+              "Could not store request query (%s)\n",
+               hash_error_string(hret));
         ret = EIO;
         goto error;
     }
@@ -790,8 +790,8 @@ static void sss_dp_internal_get_done(DBusPendingCall *pending, void *ptr)
          */
         if (cb == sdp_req->cb_list) {
             DEBUG(SSSDBG_FATAL_FAILURE,
-                  ("BUG: a callback did not free its request. "
-                   "May leak memory\n"));
+                  "BUG: a callback did not free its request. "
+                   "May leak memory\n");
             /* Skip to the next since a memory leak is non-fatal */
             sdp_req->cb_list = sdp_req->cb_list->next;
         }
diff --git a/src/responder/common/responder_get_domains.c b/src/responder/common/responder_get_domains.c
index a976d27..ba9a090 100644
--- a/src/responder/common/responder_get_domains.c
+++ b/src/responder/common/responder_get_domains.c
@@ -97,13 +97,13 @@ sss_dp_get_domains_msg(void *pvt)
                                        DP_INTERFACE,
                                        DP_METHOD_GETDOMAINS);
     if (msg == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Out of memory?!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Out of memory?!\n");
         return NULL;
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Sending get domains request for [%s][%sforced][%s]\n",
-           info->dom->name, info->force ? "" : "not ", info->hint));
+          "Sending get domains request for [%s][%sforced][%s]\n",
+           info->dom->name, info->force ? "" : "not ", info->hint);
 
     /* Send the hint argument to provider as well. This will
      * be useful for some cases of transitional trust where
@@ -114,7 +114,7 @@ sss_dp_get_domains_msg(void *pvt)
                                      DBUS_TYPE_STRING, &info->hint,
                                      DBUS_TYPE_INVALID);
     if (!dbret) {
-        DEBUG(SSSDBG_OP_FAILURE ,("Failed to build message\n"));
+        DEBUG(SSSDBG_OP_FAILURE ,"Failed to build message\n");
         dbus_message_unref(msg);
         return NULL;
     }
@@ -163,7 +163,7 @@ struct tevent_req *sss_dp_get_domains_send(TALLOC_CTX *mem_ctx,
     }
 
     if (rctx->domains == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("No domains configured.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "No domains configured.\n");
         ret = EINVAL;
         goto immediately;
     }
@@ -172,11 +172,11 @@ struct tevent_req *sss_dp_get_domains_send(TALLOC_CTX *mem_ctx,
         ret = check_last_request(rctx, hint);
         if (ret == EOK) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("Last call was too recent, nothing to do!\n"));
+                  "Last call was too recent, nothing to do!\n");
             goto immediately;
         } else if (ret != EAGAIN) {
-            DEBUG(SSSDBG_TRACE_FUNC, ("check_domain_request failed with [%d][%s]\n",
-                                      ret, strerror(ret)));
+            DEBUG(SSSDBG_TRACE_FUNC, "check_domain_request failed with [%d][%s]\n",
+                                      ret, strerror(ret));
             goto immediately;
         }
     }
@@ -246,8 +246,8 @@ sss_dp_get_domains_process(struct tevent_req *subreq)
 
     ret = process_subdomains(state->dom);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("process_subdomains failed, "
-                                  "trying next domain.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "process_subdomains failed, "
+                                  "trying next domain.\n");
         goto fail;
     }
 
@@ -289,8 +289,8 @@ process_subdomains(struct sss_domain_info *domain)
         domain->domain_id == NULL) {
         ret = sysdb_master_domain_update(domain);
         if (ret != EOK) {
-                DEBUG(SSSDBG_FUNC_DATA, ("sysdb_master_domain_get_info " \
-                                         "failed.\n"));
+                DEBUG(SSSDBG_FUNC_DATA, "sysdb_master_domain_get_info " \
+                                         "failed.\n");
                 goto done;
         }
     }
@@ -300,7 +300,7 @@ process_subdomains(struct sss_domain_info *domain)
      */
     ret = sysdb_update_subdomains(domain);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FUNC_DATA, ("sysdb_update_subdomains failed.\n"));
+        DEBUG(SSSDBG_FUNC_DATA, "sysdb_update_subdomains failed.\n");
         goto done;
     }
 
@@ -315,8 +315,8 @@ process_subdomains(struct sss_domain_info *domain)
 
 done:
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Failed to update sub-domains "
-                                  "of domain [%s].\n", domain->name));
+        DEBUG(SSSDBG_OP_FAILURE, "Failed to update sub-domains "
+                                  "of domain [%s].\n", domain->name);
     }
 
     return ret;
@@ -337,8 +337,8 @@ static void set_time_of_last_request(struct resp_ctx *rctx)
     ret = gettimeofday(&rctx->get_domains_last_call, NULL);
     if (ret == -1) {
         ret = errno;
-        DEBUG(SSSDBG_TRACE_FUNC, ("gettimeofday failed [%d][%s].\n",
-                                  ret, strerror(ret)));
+        DEBUG(SSSDBG_TRACE_FUNC, "gettimeofday failed [%d][%s].\n",
+                                  ret, strerror(ret));
     }
 }
 
@@ -380,7 +380,7 @@ static void get_domains_at_startup_done(struct tevent_req *req)
     ret = sss_dp_get_domains_recv(req);
     talloc_free(req);
     if (ret != EOK) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_dp_get_domains request failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_dp_get_domains request failed.\n");
     }
 
     return;
@@ -397,7 +397,7 @@ static void get_domains_at_startup(struct tevent_context *ev,
 
     req = sss_dp_get_domains_send(rctx, rctx, true, NULL);
     if (req == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("sss_dp_get_domains_send failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "sss_dp_get_domains_send failed.\n");
         return;
     }
 
@@ -413,7 +413,7 @@ errno_t schedule_get_domains_task(TALLOC_CTX *mem_ctx,
 
     imm = tevent_create_immediate(mem_ctx);
     if (imm == NULL) {
-        DEBUG(SSSDBG_OP_FAILURE, ("tevent_create_immediate failed.\n"));
+        DEBUG(SSSDBG_OP_FAILURE, "tevent_create_immediate failed.\n");
         return ENOMEM;
     }
 
diff --git a/src/responder/nss/nsssrv.c b/src/responder/nss/nsssrv.c
index a6e6d77..9fe2dec 100644
--- a/src/responder/nss/nsssrv.c
+++ b/src/responder/nss/nsssrv.c
@@ -91,11 +91,11 @@ static int nss_clear_memcache(DBusMessage *message,
         ret = errno;
         if (ret == ENOENT) {
             DEBUG(SSSDBG_TRACE_FUNC,
-                  ("CLEAR_MC_FLAG not found. Nothing to do.\n"));
+                  "CLEAR_MC_FLAG not found. Nothing to do.\n");
             goto done;
         } else {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to unlink file: %s.\n",
-                  strerror(ret)));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to unlink file: %s.\n",
+                  strerror(ret));
             return ret;
         }
     }
@@ -108,18 +108,18 @@ static int nss_clear_memcache(DBusMessage *message,
                          300, &memcache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Unable to get memory cache entry timeout.\n"));
+              "Unable to get memory cache entry timeout.\n");
         return ret;
     }
 
     /* TODO: read cache sizes from configuration */
-    DEBUG(SSSDBG_TRACE_FUNC, ("Clearing memory caches.\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "Clearing memory caches.\n");
     ret = sss_mmap_cache_reinit(nctx, SSS_MC_CACHE_ELEMENTS,
                                 (time_t) memcache_timeout,
                                 &nctx->pwd_mc_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("passwd mmap cache invalidation failed\n"));
+              "passwd mmap cache invalidation failed\n");
         return ret;
     }
 
@@ -128,7 +128,7 @@ static int nss_clear_memcache(DBusMessage *message,
                                 &nctx->grp_mc_ctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("group mmap cache invalidation failed\n"));
+              "group mmap cache invalidation failed\n");
         return ret;
     }
 
@@ -147,7 +147,7 @@ static int nss_clear_netgroup_hash_table(DBusMessage *message,
     ret = nss_orphan_netgroups(nctx);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not invalidate netgroups\n"));
+              "Could not invalidate netgroups\n");
         return ret;
     }
 
@@ -181,16 +181,16 @@ static errno_t nss_get_etc_shells(TALLOC_CTX *mem_ctx, char ***_shells)
             ret = ENOMEM;
             goto done;
         }
-        DEBUG(6, ("Found shell %s in /etc/shells\n", shells[i]));
+        DEBUG(6, "Found shell %s in /etc/shells\n", shells[i]);
         i++;
 
         if (i == size) {
             size += SHELL_REALLOC_INCREMENT;
             if (size > SHELL_REALLOC_MAX) {
-                DEBUG(0, ("Reached maximum number of shells [%d]. "
+                DEBUG(0, "Reached maximum number of shells [%d]. "
                           "Users may be denied access. "
                           "Please check /etc/shells for sanity\n",
-                          SHELL_REALLOC_MAX));
+                          SHELL_REALLOC_MAX);
                 break;
             }
             shells = talloc_realloc(NULL, shells, char *,
@@ -245,8 +245,8 @@ static int nss_get_config(struct nss_ctx *nctx,
     if (ret != EOK) goto done;
     if (nctx->cache_refresh_percent < 0 ||
         nctx->cache_refresh_percent > 99) {
-        DEBUG(0,("Configuration error: entry_cache_nowait_percentage is "
-                 "invalid. Disabling feature.\n"));
+        DEBUG(0,"Configuration error: entry_cache_nowait_percentage is "
+                 "invalid. Disabling feature.\n");
         nctx->cache_refresh_percent = 0;
     }
 
@@ -342,7 +342,7 @@ static int nss_memcache_initgr_check(DBusMessage *message,
                                   DBUS_TYPE_INVALID);
 
     if (!dbret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed, to parse message!\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed, to parse message!\n");
         if (dbus_error_is_set(&dbus_error)) {
             dbus_error_free(&dbus_error);
         }
@@ -350,7 +350,7 @@ static int nss_memcache_initgr_check(DBusMessage *message,
     }
 
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Got request for [%s@%s]\n", user, domain));
+          "Got request for [%s@%s]\n", user, domain);
 
     nss_update_initgr_memcache(nctx, user, domain, gnum, groups);
 
@@ -393,7 +393,7 @@ static void nss_dp_reconnect_init(struct sbus_connection *conn,
 
     /* Did we reconnect successfully? */
     if (status == SBUS_RECONNECT_SUCCESS) {
-        DEBUG(1, ("Reconnected to the Data Provider.\n"));
+        DEBUG(1, "Reconnected to the Data Provider.\n");
 
         /* Identify ourselves to the data provider */
         ret = dp_common_send_id(be_conn->conn,
@@ -407,8 +407,8 @@ static void nss_dp_reconnect_init(struct sbus_connection *conn,
     }
 
     /* Failed to reconnect */
-    DEBUG(0, ("Could not reconnect to %s provider.\n",
-              be_conn->domain->name));
+    DEBUG(0, "Could not reconnect to %s provider.\n",
+              be_conn->domain->name);
 
     /* FIXME: kill the frontend and let the monitor restart it ? */
     /* nss_shutdown(rctx); */
@@ -440,20 +440,20 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
                            "NSS", &nss_dp_interface,
                            &rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_process_init() failed\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_process_init() failed\n");
         return ret;
     }
 
     nctx = talloc_zero(rctx, struct nss_ctx);
     if (!nctx) {
-        DEBUG(0, ("fatal error initializing nss_ctx\n"));
+        DEBUG(0, "fatal error initializing nss_ctx\n");
         ret = ENOMEM;
         goto fail;
     }
 
     ret = sss_ncache_init(rctx, &nctx->ncache);
     if (ret != EOK) {
-        DEBUG(0, ("fatal error initializing negative cache\n"));
+        DEBUG(0, "fatal error initializing negative cache\n");
         goto fail;
     }
 
@@ -462,7 +462,7 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
 
     ret = nss_get_config(nctx, cdb);
     if (ret != EOK) {
-        DEBUG(0, ("fatal error getting nss config\n"));
+        DEBUG(0, "fatal error getting nss config\n");
         goto fail;
     }
 
@@ -472,7 +472,7 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
                          CONFDB_SERVICE_RECON_RETRIES,
                          3, &max_retries);
     if (ret != EOK) {
-        DEBUG(0, ("Failed to set up automatic reconnection\n"));
+        DEBUG(0, "Failed to set up automatic reconnection\n");
         goto fail;
     }
 
@@ -484,7 +484,7 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
     err = sss_idmap_init(sss_idmap_talloc, nctx, sss_idmap_talloc_free,
                          &nctx->idmap_ctx);
     if (err != IDMAP_SUCCESS) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("sss_idmap_init failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "sss_idmap_init failed.\n");
         ret = EFAULT;
         goto fail;
     }
@@ -493,7 +493,7 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
     hret = sss_hash_create_ex(nctx, 10, &nctx->netgroups, 0, 0, 0, 0,
                               netgroup_hash_delete_cb, NULL);
     if (hret != HASH_SUCCESS) {
-        DEBUG(0,("Unable to initialize netgroup hash table\n"));
+        DEBUG(0,"Unable to initialize netgroup hash table\n");
         ret = EIO;
         goto fail;
     }
@@ -504,9 +504,9 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
     if (ret != 0 && errno != ENOENT) {
         ret = errno;
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Failed to unlink file [%s]. This can cause memory cache to "
+              "Failed to unlink file [%s]. This can cause memory cache to "
                "be purged when next log rotation is requested. %d: %s\n",
-               SSS_NSS_MCACHE_DIR"/"CLEAR_MC_FLAG, ret, strerror(ret)));
+               SSS_NSS_MCACHE_DIR"/"CLEAR_MC_FLAG, ret, strerror(ret));
     }
 
     ret = confdb_get_int(nctx->rctx->cdb,
@@ -515,7 +515,7 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
                          300, &memcache_timeout);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to get 'memcache_timeout' option from confdb.\n"));
+              "Failed to get 'memcache_timeout' option from confdb.\n");
         goto fail;
     }
 
@@ -524,14 +524,14 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
                               SSS_MC_CACHE_ELEMENTS, (time_t)memcache_timeout,
                               &nctx->pwd_mc_ctx);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("passwd mmap cache is DISABLED\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "passwd mmap cache is DISABLED\n");
     }
 
     ret = sss_mmap_cache_init(nctx, "group", SSS_MC_GROUP,
                               SSS_MC_CACHE_ELEMENTS, (time_t)memcache_timeout,
                               &nctx->grp_mc_ctx);
     if (ret) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("group mmap cache is DISABLED\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "group mmap cache is DISABLED\n");
     }
 
     /* Set up file descriptor limits */
@@ -542,18 +542,18 @@ int nss_process_init(TALLOC_CTX *mem_ctx,
                          &fd_limit);
     if (ret != EOK) {
         DEBUG(SSSDBG_FATAL_FAILURE,
-              ("Failed to set up file descriptor limit\n"));
+              "Failed to set up file descriptor limit\n");
         goto fail;
     }
     responder_set_fd_limit(fd_limit);
 
     ret = schedule_get_domains_task(rctx, rctx->ev, rctx);
     if (ret != EOK) {
-        DEBUG(SSSDBG_FATAL_FAILURE, ("schedule_get_domains_tasks failed.\n"));
+        DEBUG(SSSDBG_FATAL_FAILURE, "schedule_get_domains_tasks failed.\n");
         goto fail;
     }
 
-    DEBUG(SSSDBG_TRACE_FUNC, ("NSS Initialization complete\n"));
+    DEBUG(SSSDBG_TRACE_FUNC, "NSS Initialization complete\n");
 
     return EOK;
 
@@ -602,7 +602,7 @@ int main(int argc, const char *argv[])
     ret = die_if_parent_died();
     if (ret != EOK) {
         /* This is not fatal, don't return */
-        DEBUG(2, ("Could not set up to exit when parent process does\n"));
+        DEBUG(2, "Could not set up to exit when parent process does\n");
     }
 
     ret = nss_process_init(main_ctx,
